Installing matplotlib | Sololearn: Learn to code for FREE!

0

Installing matplotlib

I searched for a solution to my problem but didnt find it. 'import matplotlib.pyplot as plt' returns 'ModuleNotFoundError: No module named 'matplotlib' ' --- Python 3.9.0 (tags/v3.9.0:9cf6752, Oct 5 2020, 15:34:40) [MSC v.1927 64 bit (AMD64)] on win32 - pip 20.2.4 from c:\users\nidas\appdata\local\programs\python\python39\lib\site-packages\pip (python 3.9) - PS C:\WINDOWS\system32> pip3 install matplotlib Collecting matplotlib Using cached matplotlib-3.3.3-cp39-cp39-win_amd64.whl (8.5 MB) Requirement already satisfied: numpy>=1.15 in c:\users\nidas\appdata\local\programs\python\python39\lib\site-packages (from matplotlib) (1.19.4) Requirement already satisfied: pyparsing!=2.0.4,!=2.1.2,!=2.1.6,>=2.0.3 in c:\users\nidas\appdata\local\programs\python\python39\lib\site-packages (from matplotlib) (2.4.7) Requirement already satisfied: pillow>=6.2.0 in c:\users\nidas\appdata\local\programs\python\python39\lib\site-packages (from matplotlib) (8.0.1) Requirement already satisfied: kiwisolver>=1.0.1 in c:\users\nidas\appdata\local\programs\python\python39\lib\site-packages (from matplotlib) (1.3.1) Requirement already satisfied: cycler>=0.10 in c:\users\nidas\appdata\local\programs\python\python39\lib\site-packages (from matplotlib) (0.10.0) Requirement already satisfied: python-dateutil>=2.1 in c:\users\nidas\appdata\local\programs\python\python39\lib\site-packages (from matplotlib) (2.8.1) Requirement already satisfied: six in c:\users\nidas\appdata\local\programs\python\python39\lib\site-packages (from cycler>=0.10->matplotlib) (1.15.0) Installing collected packages: matplotlib Successfully installed matplotlib-3.3.3

11/15/2020 5:40:24 PM

Alex Snaidars

2 Answers

New Answer

+1

If u r using pycharm , then just click ctrl + alt + s (it'll take you to settings page). Then go to project interpreter and click on the '+' icon and type matplotlib in the search bar.. u r good to go mate..